#ifndef DATAPROCESS_H
#define DATAPROCESS_H

#include <QObject>
#include <QDateTime>
#include <QDir>
#include <QDateTime>
#include <QTimeZone>
#include <QJsonObject>
#include <QJsonArray>
#include <QJsonDocument>
#include <QDebug>
#include <QtPlugin>
#include <QPluginLoader>
#include "commondata.h"
#include "unistd.h"

//编译阶段判断是否有此头文件
#if __has_include(<uploadPluginInterface.h>)
#define  hasUploadInterface
#include <uploadPluginInterface.h>
#endif

class DataProcess : public QObject
{
public:
    DataProcess();
    ~DataProcess();

    static DataProcess *getInstance();
    void sendData(const pointDataStruct &data); //触发模块，触发功能单元，内容，动作

private:
    QHash<QString, int> m_functionCount;
    QHash<QString, QStringList> m_applist;

    bool m_initState = false;

#ifdef hasUploadInterface
    UploadPluginInterface *m_sendDataInterface = nullptr;
#endif
};

#endif // DATAPROCESS_H
